/*
 * Copyright (c) 2010 Mario Boikov
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

import Qt 4.7

Image {
    id: stop

    property bool enable: false

    signal clicked

    width: 32; height: 32
    source: "../media-playback-stop.png"
    smooth: true
    transformOrigin: Item.Center
    opacity: enable ? 1.0 : 0.4

    Behavior on opacity {
        NumberAnimation { duration: 500 }
    }


    Behavior on scale {
        NumberAnimation {easing.type: "OutElastic"; duration: 1000}
    }

    MouseArea {
        id: mouseArea

        anchors.fill: parent
        enabled: enable
        hoverEnabled: true
        onEntered: stop.scale = 1.2
        onExited: stop.scale = 1.0
        onClicked: stop.clicked()
        onEnabledChanged: if (!enabled) stop.scale = 1.0
    }
}
